# ApplicationFramework
TKLCAF
TNaming

# TNaming_SameShapeIterator Class Reference

To iterate on all the label which contained a
given shape.
.

`#include <TNaming_SameShapeIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_SameShapeIterator (const TopoDS_Shape &aShape, const TDF_Label &access)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TDF_Label | Label () const

## Private Member Functions

Standard_EXPORT | TNaming_SameShapeIterator (const TopoDS_Shape &aShape, const Handle(TNaming_UsedShapes)&Shapes)

## Private Attributes

TNaming_PtrNode | myNode
Standard_Boolean | myIsNew

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_SameShapeIterator::TNaming_SameShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const TDF_Label & | access
| ) |

Standard_EXPORT TNaming_SameShapeIterator::TNaming_SameShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Handle(TNaming_UsedShapes)& | Shapes
| ) | `[private]`

## Member Function Documentation

Standard_EXPORT TDF_Label TNaming_SameShapeIterator::Label | ( |  | ) | const

Standard_Boolean TNaming_SameShapeIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void TNaming_SameShapeIterator::Next | ( |  | ) |

void TNaming_SameShapeIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_SameShapeIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_SameShapeIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Standard_Boolean TNaming_SameShapeIterator::myIsNew `[private]`

TNaming_PtrNode TNaming_SameShapeIterator::myNode `[private]`

The documentation for this class was generated from the following files:

- TNaming_SameShapeIterator.hxx
- TNaming_SameShapeIterator.lxx